openoffice-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j..@apache.org
Subject svn commit: r1855549 - in /openoffice/devtools/build-scripts/4.2.0-dev: unxlngi6/build_aoo32bit_on_centos7.sh unxlngix6/build_aoo64bit_on_centos7.sh unxlngix6/build_aoo64bit_on_ubuntu14.sh
Date Thu, 14 Mar 2019 19:00:18 GMT
Author: jim
Date: Thu Mar 14 19:00:18 2019
New Revision: 1855549

URL: http://svn.apache.org/viewvc?rev=1855549&view=rev
Log:
Activate dev snapshot build process

Modified:
    openoffice/devtools/build-scripts/4.2.0-dev/unxlngi6/build_aoo32bit_on_centos7.sh
    openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_centos7.sh
    openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_ubuntu14.sh

Modified: openoffice/devtools/build-scripts/4.2.0-dev/unxlngi6/build_aoo32bit_on_centos7.sh
URL: http://svn.apache.org/viewvc/openoffice/devtools/build-scripts/4.2.0-dev/unxlngi6/build_aoo32bit_on_centos7.sh?rev=1855549&r1=1855548&r2=1855549&view=diff
==============================================================================
--- openoffice/devtools/build-scripts/4.2.0-dev/unxlngi6/build_aoo32bit_on_centos7.sh (original)
+++ openoffice/devtools/build-scripts/4.2.0-dev/unxlngi6/build_aoo32bit_on_centos7.sh Thu
Mar 14 19:00:18 2019
@@ -9,13 +9,14 @@ AOO_VERBOSE_BUILD=
 AOO_BUILD_TYPE=
 AOO_BUILD_VERSION=
 AOO_BUILD_BETA=
+AOO_BUILD_DEV=
 
 while true; do
   case "$1" in
     "--verbose" ) AOO_VERBOSE_BUILD="--enable-verbose"; shift ;;
     "--skip-config" ) AOO_SKIP_CONFIG="yes"; shift ;;
     "--just-config" ) AOO_JUST_CONFIG="yes"; shift ;;
-    "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development Build"; AOO_BUILD_VERSION="
[${AOO_BUILD_TYPE}]"; shift ;;
+    "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development Build"; AOO_BUILD_VERSION="
[${AOO_BUILD_TYPE}]"; AOO_BUILD_DEV="yes"; shift ;;
     "--beta" ) AOO_BUILD_TYPE="Apache OpenOffice Beta Build"; AOO_BUILD_VERSION=" [${AOO_BUILD_TYPE}]";
AOO_BUILD_BETA="yes"; shift ;;
     "--" ) shift; break ;;
     "" ) break ;;
@@ -78,6 +79,10 @@ if [ "$AOO_BUILD_BETA" = "yes" ]; then
     dmake -P5 openofficebeta  || exit 1
 	dmake -P5 sdkoobeta_en-US || exit 1
 	dmake -P5 ooobetalanguagepack || exit 1
+elif [ "$AOO_BUILD_DEV" = "yes" ]; then
+    dmake -P5 openofficedev  || exit 1
+	dmake -P5 sdkoodev_en-US || exit 1
+	dmake -P5 ooodevlanguagepack || exit 1
 else
 	dmake -P5 ooolanguagepack || exit 1
 	dmake -P5 sdkoo_en-US || exit 1 

Modified: openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_centos7.sh
URL: http://svn.apache.org/viewvc/openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_centos7.sh?rev=1855549&r1=1855548&r2=1855549&view=diff
==============================================================================
--- openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_centos7.sh (original)
+++ openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_centos7.sh Thu
Mar 14 19:00:18 2019
@@ -9,13 +9,14 @@ AOO_VERBOSE_BUILD=
 AOO_BUILD_TYPE=
 AOO_BUILD_VERSION=
 AOO_BUILD_BETA=
+AOO_BUILD_DEV=
 
 while true; do
   case "$1" in
     "--verbose" ) AOO_VERBOSE_BUILD="--enable-verbose"; shift ;;
     "--skip-config" ) AOO_SKIP_CONFIG="yes"; shift ;;
     "--just-config" ) AOO_JUST_CONFIG="yes"; shift ;;
-    "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development Build"; AOO_BUILD_VERSION="
[${AOO_BUILD_TYPE}]"; shift ;;
+    "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development Build"; AOO_BUILD_VERSION="
[${AOO_BUILD_TYPE}]"; AOO_BUILD_DEV="yes"; shift ;;
     "--beta" ) AOO_BUILD_TYPE="Apache OpenOffice Beta Build"; AOO_BUILD_VERSION=" [${AOO_BUILD_TYPE}]";
AOO_BUILD_BETA="yes"; shift ;;
     "--" ) shift; break ;;
     "" ) break ;;
@@ -78,6 +79,10 @@ if [ "$AOO_BUILD_BETA" = "yes" ]; then
     dmake -P5 openofficebeta  || exit 1
 	dmake -P5 sdkoobeta_en-US || exit 1
 	dmake -P5 ooobetalanguagepack || exit 1
+elif [ "$AOO_BUILD_DEV" = "yes" ]; then
+    dmake -P5 openofficedev  || exit 1
+	dmake -P5 sdkoodev_en-US || exit 1
+	dmake -P5 ooodevlanguagepack || exit 1
 else
 	dmake -P5 ooolanguagepack || exit 1
 	dmake -P5 sdkoo_en-US || exit 1 

Modified: openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_ubuntu14.sh
URL: http://svn.apache.org/viewvc/openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_ubuntu14.sh?rev=1855549&r1=1855548&r2=1855549&view=diff
==============================================================================
--- openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_ubuntu14.sh (original)
+++ openoffice/devtools/build-scripts/4.2.0-dev/unxlngix6/build_aoo64bit_on_ubuntu14.sh Thu
Mar 14 19:00:18 2019
@@ -9,13 +9,14 @@ AOO_VERBOSE_BUILD=
 AOO_BUILD_TYPE=
 AOO_BUILD_VERSION=
 AOO_BUILD_BETA=
+AOO_BUILD_DEV=
 
 while true; do
   case "$1" in
     "--verbose" ) AOO_VERBOSE_BUILD="--enable-verbose"; shift ;;
     "--skip-config" ) AOO_SKIP_CONFIG="yes"; shift ;;
     "--just-config" ) AOO_JUST_CONFIG="yes"; shift ;;
-    "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development Build"; AOO_BUILD_VERSION="
[${AOO_BUILD_TYPE}]"; shift ;;
+    "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development Build"; AOO_BUILD_VERSION="
[${AOO_BUILD_TYPE}]"; AOO_BUILD_DEV="yes"; shift ;;
     "--beta" ) AOO_BUILD_TYPE="Apache OpenOffice Beta Build"; AOO_BUILD_VERSION=" [${AOO_BUILD_TYPE}]";
AOO_BUILD_BETA="yes"; shift ;;
     "--" ) shift; break ;;
     "" ) break ;;
@@ -78,6 +79,10 @@ if [ "$AOO_BUILD_BETA" = "yes" ]; then
     dmake -P5 openofficebeta  || exit 1
 	dmake -P5 sdkoobeta_en-US || exit 1
 	dmake -P5 ooobetalanguagepack || exit 1
+elif [ "$AOO_BUILD_DEV" = "yes" ]; then
+    dmake -P5 openofficedev  || exit 1
+	dmake -P5 sdkoodev_en-US || exit 1
+	dmake -P5 ooodevlanguagepack || exit 1
 else
 	dmake -P5 ooolanguagepack || exit 1
 	dmake -P5 sdkoo_en-US || exit 1 



Mime
View raw message